Name:		fierce
Version:	1.5.0
Release:	1%{?dist}
Summary:	A DNS reconnaissance tool for locating non-contiguous IP space
License:	GPLv3
URL:		https://github.com/mschwager/fierce
Source0:	https://github.com/mschwager/fierce/archive/%{version}.tar.gz

#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	python3-fierce
BuildRequires:	python3-dns
BuildRequires:	python3-setuptools

Patch1:		fierce-requirements.patch

%description
Fierce is a semi-lightweight scanner that helps locate 
non-contiguous IP space and hostnames against specified 
domains. It's really meant as a pre-cursor to nmap, 
unicornscan, nessus, nikto, etc, since all of those 
require that you already know what IP space you are 
looking for. This does not perform exploitation and 
does not scan the whole internet indiscriminately. It 
is meant specifically to locate likely targets both 
inside and outside a corporate network. Because it uses 
DNS primarily you will often find mis-configured networks 
that leak internal address space. That's especially useful 
in targeted malware.

%prep
%autosetup -n %{name}-%{version}


%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%package -n python3-%{name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-dns
Requires:       python3-dns
Provides:       fierce
%{?python_provide:%python_provide python3-fierce}

%description -n python3-%{name}
%{description}

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{name}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/
%{_bindir}/fierce


%changelog
* Tue Dec 07 2021 josef radinger <cheese@nosuchhost.net> - 1.5.0-1
- bump version

* Fri Nov 26 2021 josef radinger <cheese@nosuchhost.net> - 1.4.0-4
- rebuild

* Mon Nov 22 2021 josef radinger <cheese@nosuchhost.net> - 1.4.0-3
- Buildreuires on python3-setuptools

* Thu Nov 05 2020 josef radinger <cheese@nosuchhost.net> - 1.4.0-2
- add patch0 to allow python-dns >= 1.16

* Sun Nov 10 2019 josef radinger <cheese@nosuchhost.net> - 1.4.0-1
- bump version

* Fri May 17 2019 josef radinger <cheese@nosuchhost.net> - 1.3.0-1
- bump version

* Tue Mar 26 2019 josef radinger <cheese@nosuchhost.net> - 1.2.2-1
- initial package

